Bug 3478 - Display patron middle initials
Summary: Display patron middle initials
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: PC All
: P1 - high enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-02 06:13 UTC by Jane Wagner
Modified: 2015-06-04 23:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Middle initial add screenshot (17.82 KB, image/jpeg)
2009-08-02 18:13 UTC, Chris Cormack
Details
Middle initial search screenshot (19.64 KB, image/jpeg)
2009-08-02 18:13 UTC, Chris Cormack
Details
Middle initial display screenshot (19.16 KB, image/jpeg)
2009-08-02 18:14 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:11:09 UTC


---- Reported by jwagner@ptfs.com 2009-08-02 18:13:06 ----

Created an attachment
Middle initial add screenshot

Sponsored by East Brunswick Public Library, East Brunswick, NJ, USA.

Add an option to display patron middle initials in search results and on patron display page.  Relabelled existing initials field to Middle Initial.  Created sysprefs DisplayInitials.  If on, middle initials will show in patron hitlist and on patron display page.



---- Additional Comments From jwagner@ptfs.com 2009-08-02 18:13:41 ----

Created an attachment
Middle initial search screenshot





---- Additional Comments From jwagner@ptfs.com 2009-08-02 18:14:06 ----

Created an attachment
Middle initial display screenshot





---- Additional Comments From jwagner@ptfs.com 2010-05-12 12:32:23 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3478




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:11 UTC  ---

This bug was previously known as _bug_ 3478 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3478
Imported an attachment (id=1342)
Imported an attachment (id=1343)
Imported an attachment (id=1344)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was kohaprogrammers@ptfs.com.
The original submitter of attachment 1342 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1343 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1344 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-12-31 20:05:29 UTC
It's not clear from the screenshots how this change improves things. Putting the middle initial in the firstname field accomplishes the same thing with regard to sorting, doesn't it?
Comment 2 Jane Wagner 2011-01-10 14:53:26 UTC
Following up on our IRC discussion:

The request came because the sponsoring site had stored patron name data in surname, firstname, initials field.  However, the initials field was not visible in either patron or checkout search results, so there was no way of distinguishing Smith, John A. from Smith, John B. in the results list, without going into the individual patron records.

The initials field seems to be intented for patron middle initials/names; it's grouped with the patron name fields.  Therefore, if sites use it for middle initial/name data, that data should display in search results.

The feature is controlled by a syspref, so the display is optional if sites do not use that field, or use it for something else.
Comment 3 Marcel de Rooy 2011-02-24 12:44:52 UTC
Question: Is this the same as branch origin/new/ptfs_patron_features ?
If so, it does not apply:

Auto-merged C4/Accounts.pm
Auto-merged C4/Members.pm
Auto-merged circ/circulation.pl
Auto-merged koha-tmpl/intranet-tmpl/prog/en/includes/patron-search.inc
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/includes/patron-search.inc
Auto-merged koha-tmpl/intranet-tmpl/prog/en/modules/members/member.tmpl
Auto-merged members/member.pl
CONFLICT (content): Merge conflict in members/member.pl
Auto-merged members/memberentry.pl
Auto-merged members/members-home.pl
Automatic merge failed; fix conflicts and then commit the result.

If it is not the same, please attach current information to find it.
Comment 4 Chris Cormack 2011-07-07 21:19:56 UTC
No patch attached or sent to the mailing list, git repo is not based anywhere near current master. Needs the person who wrote these changes to update it and submit a patch